%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-trove-classifiers
Version:       2023.8.7
Release:       1mamba
Summary:       Canonical source for classifiers on PyPI (pypi.org)
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pypa/trove-classifiers
Source:        https://pypi.debian.net/trove-classifiers/trove-classifiers-%{version}.tar.gz
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END
BuildRequires: python-calver-py3
BuildRequires: python-calver-py310

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n trove-classifiers-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/%{pkgname}
%{python_sitelib}/%{pkgname}/*
%doc LICENSE

%changelog
* Tue Aug 08 2023 Automatic Build System <autodist@mambasoft.it> 2023.8.7-1mamba
- automatic version update by autodist

* Fri Aug 04 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.7.6-1mamba
- package created using the webbuild interface
